﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace EncodingConverter
{
    public partial class EncodingConverterForm : Form
    {

        string strFromEncoding = string.Empty;
        string strToEncoding = string.Empty;

        public EncodingConverterForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 窗体加载
        /// </summary>
        private void EncodingConverterForm_Load(object sender, EventArgs e)
        {
            object[] CmbEncodings = new object[] {
            "utf-8",
            "gb2312"};
            this.cmbFromEncoding.Items.AddRange(CmbEncodings);
            this.cmbＴｏEncoding.Items.AddRange(CmbEncodings);
            this.cmbFromEncoding.SelectedIndex = 1;
            this.cmbＴｏEncoding.SelectedIndex = 0;
        }

        /// <summary>
        /// 转换按钮
        /// </summary>
        private void btnConvert_Click(object sender, EventArgs e)
        {
            try
            {
                Encoding from = System.Text.Encoding.GetEncoding(this.cmbFromEncoding.SelectedItem.ToString());
                Encoding to = System.Text.Encoding.GetEncoding(this.cmbＴｏEncoding.SelectedItem.ToString());
                Tool.ConvertFile(this.txtPath.Text.Trim(), this.txtFileType.Text.Trim(), from, to);
                MessageBox.Show(" 哦耶，搞定！", "啊啊啊", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            catch
            {
                MessageBox.Show(" -_-! 晕，竟然出异常了！", "啊啊啊", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        /// <summary>
        /// 选择文件夹路径
        /// </summary>
        private void btnSelectFolder_Click(object sender, EventArgs e)
        {
            this.FolderBrowserDialog = new FolderBrowserDialog();
            if (DialogResult.OK == this.FolderBrowserDialog.ShowDialog(this))
            {
                this.txtPath.Text = this.FolderBrowserDialog.SelectedPath;
                this.btnConvert.Enabled = true;
            }
        }

        
    }
}